Bug 907195 - Virtual console keymapping does not persist across a reboot
Virtual console keymapping does not persist across a reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-03 12:49 EST by Bill C. Riemers
Modified: 2014-02-05 13:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 13:50:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill C. Riemers 2013-02-03 12:49:32 EST
Description of problem:

Ever since Fedora 17 I have had the problem that my keymappings do not persist across reboots.  I have full disk encryption enabled.  My kernel has the setting KEYTABLE="dvorak".  That works sufficiently that during the reboot process, I can enter my encryption password and unlock the drive.  However, once booted if I go to a virtual console I have to login using a QWERTY mapping.  Once logged in I can run system-config-keyboard and restore the DVORAK mapping.  That will persist until my next login.

My /etc/sysconfig/keyboards file also contains the lines:

KEYTABLE="dvorak"
VARIANT="dvorak"

Version-Release number of selected component (if applicable):


How reproducible:

100% 

Steps to Reproduce:
Method 1:
1. Upgrade a system that uses a DVORAK keymapping
2. Attempt to login to a virtual console.
Method 2:
1. Attempt to change a system using a US keymapping to dvorak
2. Reboot
3. Try to login on a virtual console

  
Actual results:

Login fails, because DVORAK is being used

Expected results:

Login should succeed.

Additional info:

I read in another bugzilla report the parameter was renamed to KEYMAP instead of KEYTABLE.  I tried the substitution but the same problem persists.
Comment 1 Bill C. Riemers 2013-02-03 13:00:04 EST
Oops the Actual results line should have read:

Login fails, because DVORAK is NOT being used
Comment 2 Fedora End Of Life 2013-12-21 06:06:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 13:50:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.